Main Page Class List Class Members

# Nv::Blast::ObjFileWriter Class Reference

`#include <NvBlastExtExporterObjWriter.h>`

Inheritance diagram for Nv::Blast::ObjFileWriter:

List of all members.

## Public Member Functions
virtual bool | appendMesh (const ExporterMeshData &meshData, const char *assetName, bool nonSkinned) override
virtual bool | appendMesh (const AuthoringResult &aResult, const char *assetName, bool nonSkinned) override
| ObjFileWriter ()
virtual void | release () override
virtual bool | saveToFile (const char *assetName, const char *outputPath) override
virtual void | setInteriorIndex (int32_t index) override
| ~ObjFileWriter ()

## Constructor & Destructor Documentation

Nv::Blast::ObjFileWriter::ObjFileWriter | ( |  | ) | `[inline]`

Nv::Blast::ObjFileWriter::~ObjFileWriter | ( |  | ) |

## Member Function Documentation

virtual bool Nv::Blast::ObjFileWriter::appendMesh | ( | const ExporterMeshData & | meshData,
|  | const char * | assetName,
|  | bool | nonSkinned |
| ) |  |  | `[override, virtual]`

Append rendermesh to scene. Meshes constructed from arrays of vertices and indices

Implements Nv::Blast::IMeshFileWriter.

virtual bool Nv::Blast::ObjFileWriter::appendMesh | ( | const AuthoringResult & | aResult,
|  | const char * | assetName,
|  | bool | nonSkinned |
| ) |  |  | `[override, virtual]`

Append rendermesh to scene. Meshes constructed from arrays of triangles.

Implements Nv::Blast::IMeshFileWriter.

virtual void Nv::Blast::ObjFileWriter::release | ( |  | ) | `[override, virtual]`

Delete this object

Implements Nv::Blast::IMeshFileWriter.

virtual bool Nv::Blast::ObjFileWriter::saveToFile | ( | const char * | assetName,
|  | const char * | outputPath |
| ) |  |  | `[override, virtual]`

Save scene to file.

Implements Nv::Blast::IMeshFileWriter.

virtual void Nv::Blast::ObjFileWriter::setInteriorIndex | ( | int32_t | index | ) | `[override, virtual]`

Set interior material index. Not supported in OBJ since AuthoringTool doesn't created OBJ with materials currently.

Implements Nv::Blast::IMeshFileWriter.

The documentation for this class was generated from the following file:

- sdk/extensions/exporter/source/NvBlastExtExporterObjWriter.h